Package org.eclipse.jface.text.rules

# Class WhitespaceRule

java.lang.Object
org.eclipse.jface.text.rules.WhitespaceRule

All Implemented Interfaces:
  `IRule`

public class WhitespaceRule extends Object implements IRule
An implementation of `IRule` capable of detecting whitespace. A whitespace rule uses a whitespace detector in order to find out which characters are whitespace characters.

See Also:
  - `IWhitespaceDetector`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IWhitespaceDetector`
`fDetector`
The whitespace detector used by this rule
`protected final IToken`
`fWhitespaceToken`
The token returned for whitespace.

## Constructor Summary

Constructors
Constructor
Description
`WhitespaceRule(IWhitespaceDetector detector)`
Creates a rule which, with the help of an whitespace detector, will return `Token.WHITESPACE` when a whitespace is detected.
`WhitespaceRule(IWhitespaceDetector detector, IToken token)`
Creates a rule which, with the help of an whitespace detector, will return the given whitespace token when a whitespace is detected.

## Method Summary

Modifier and Type
Method
Description
`IToken`
`evaluate(ICharacterScanner scanner)`
Evaluates the rule by examining the characters available from the provided character scanner.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fDetector

protected IWhitespaceDetector fDetector
The whitespace detector used by this rule

### fWhitespaceToken

protected final IToken fWhitespaceToken
The token returned for whitespace.

Since:
  3.5

## Constructor Details

### WhitespaceRule

public WhitespaceRule(IWhitespaceDetector detector)
Creates a rule which, with the help of an whitespace detector, will return `Token.WHITESPACE` when a whitespace is detected.

Parameters:
  `detector` - the rule's whitespace detector

### WhitespaceRule

public WhitespaceRule(IWhitespaceDetector detector, IToken token)
Creates a rule which, with the help of an whitespace detector, will return the given whitespace token when a whitespace is detected.

Parameters:
  `detector` - the rule's whitespace detector
  `token` - the token returned for whitespace
Since:
  3.5

## Method Details

### evaluate

public IToken evaluate(ICharacterScanner scanner)
Evaluates the rule by examining the characters available from the provided character scanner. The token returned by this rule returns `true` when calling `isUndefined`, if the text that the rule investigated does not match the rule's requirements

Specified by:
  `evaluate` in interface `IRule`
Parameters:
  `scanner` - the character scanner to be used by this rule
Returns:
  `fWhitespaceToken` if whitespace got detected, `Token.UNDEFINED` otherwise